Click here to Skip to main content
15,878,048 members
Please Sign up or sign in to vote.
3.67/5 (3 votes)
See more:
Hi everyone,
I have this problem, I developed the program in C#(winform) in my computer, when I try to publish it and install in my computer, it works fine. But when other users with different computer install, the are receiving this error : unable to install or run the application. The application requires that assembly microsoft.office.tools.excel version 8.0.0.0 be installed in the global assembly cache first.

I know that microsoft.office.tools.excel version 8.0.0.0 should be installed in their computers GAC, but the thing that I dont know is, what should I install? should I install .net framework in their computers?

Thank you very much.
Posted
Updated 17-May-11 22:42pm
v4

Without frame work your application will not run so yes install framework first if not installed already. Now about the error which you are getting to fix that just install excel on the client system(there might be another way also but this one is easiest)
 
Share this answer
 
Comments
serigraphie 18-May-11 5:57am    
there is already microsoft excel 2007 installed in the computers
CS2011 18-May-11 6:05am    
i thik you need to install Excel 97(Other thing that you can do is develop the application using version 12 of excel.). Below is the list for your ref

******************************************************************
1987 Excel 2.0 for Windows
1990 Excel 3.0
1992 Excel 4.0
1993 Excel 5.0 (Office 4.2 & 4.3, also a 32-bit version for Windows NT only on the x86, PowerPC, Alpha, and MIPS architectures)
1995 Excel for Windows 95 (version 7.0) included in Office 95
1997 Excel 97 (version 8.0) included in Office 97 (for x86 and Alpha). This version of Excel includes a flight simulator as an Easter Egg.
1999 Excel 2000 (version 9.0) included in Office 2000
2001 Excel 2002 (version 10) included in Office XP
2003 Office Excel 2003 (version 11) included in Office 2003
2007 Office Excel 2007 (version 12) included in Office 2007
2010 Excel 2010 (version 14) included in Office 2010
************************************************************************
 
Share this answer
 
v2
Comments
serigraphie 18-May-11 5:22am    
okay, so what version of .net framework and what service pack?
ambarishtv 18-May-11 5:38am    
i improved my solution
Okay, this solved my problem, it seems that other computer's microsoft.office.tools.excel version is v9 or that they don't have that kind of dll. I opened the "applications" tab and included the required dll's as well as prerequisites.

I cleaned, I build, then re-published, the error was gone.

Thank you very much all for your help.
I appreciate it so much!
 
Share this answer
 

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900